Get Activity
Fetch a single activity.
Requires the activities:read scope on the API key.
GET
/
v1
/
activities
/
{activity_id}
Get Activity
curl --request GET \
--url https://api.topo.io/v1/activities/{activity_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/activities/{activity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/activities/{activity_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"payload": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceType": "MESSAGE",
"channel": "EMAIL",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hotLeadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"calendarEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"linkedinUrl": "<string>",
"jobTitle": "<string>",
"companyName": "<string>",
"companyDomain": "<string>"
},
"sequenceTemplate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"type": "message.sent",
"message": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"body": "<string>",
"channel": "EMAIL",
"direction": "INBOUND",
"sentAt": "2023-11-07T05:31:56Z",
"stepNumber": 123
}
}
}Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the activity.
Response
200 - application/json
Successful Response
Unique identifier.
When the activity was recorded.
Discriminated event payload describing what happened.
- MessageSentPayload
- MessageOpenedPayload
- MessageLinkClickedPayload
- MessageRepliedPayload
- InvitationSentPayload
- InvitationAcceptedPayload
- HotLeadCreatedPayload
- MeetingCreatedPayload
- SequenceCreatedPayload
- SequencePausedPayload
- SequenceResumedPayload
- SequenceStoppedPayload
- SequenceCompletedPayload
- TaskCreatedPayload
- TaskCompletedPayload
- TaskSkippedPayload
- TaskReopenedPayload
- ContactEntryResolvedPayload
- EventResolvedPayload
- ContactExclusionCreatedPayload
Hide child attributes
Hide child attributes
Available options:
MESSAGE, INVITATION, HOT_LEAD, MEETING, SEQUENCE_STEP, SEQUENCE, TASK Available options:
EMAIL, LINKEDIN, MANUAL Hide child attributes
Hide child attributes
Allowed value:
"message.sent"Hide child attributes
Hide child attributes
Available options:
EMAIL, LINKEDIN, CALENDAR, MANUAL Available options:
INBOUND, OUTBOUND Was this page helpful?
⌘I
Get Activity
curl --request GET \
--url https://api.topo.io/v1/activities/{activity_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/activities/{activity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/activities/{activity_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"payload": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceType": "MESSAGE",
"channel": "EMAIL",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hotLeadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"calendarEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"linkedinUrl": "<string>",
"jobTitle": "<string>",
"companyName": "<string>",
"companyDomain": "<string>"
},
"sequenceTemplate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"type": "message.sent",
"message": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"body": "<string>",
"channel": "EMAIL",
"direction": "INBOUND",
"sentAt": "2023-11-07T05:31:56Z",
"stepNumber": 123
}
}
}